<?php

namespace Database\Seeders;

use App\Models\Customer;
use App\Models\Order;
use App\Models\User;
use Illuminate\Database\Seeder;

class OrderSeeder extends Seeder
{
    public function run(): void
    {
        $customer = Customer::query()->first();
        $user = User::query()->first();

        Order::factory()
            ->count(5)
            ->create([
                'customer_id' => $customer?->id,
                'created_by_id' => $user?->id,
            ]);
    }
}
